SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000575: SMTP Proxy doesnt accept unauthorized relaying on green/orange if not in transparent mode - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000575Endian FirewallApplication Level Proxiespublic2008-02-20 19:272008-04-23 17:41
Reporterjzdrzalek 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target VersionFixed in Version2.2-beta4 
Summary0000575: SMTP Proxy doesnt accept unauthorized relaying on green/orange if not in transparent mode
DescriptionMy EFW is Endian Firewall Appliance release 2.1.1 (final)

EFW is filtering spam and also should be a relay/samthost for an internel
mail server. The internal mail server is configured to send all the email through
a smarthost, which is the EFW. Having transparent mode on it works, but it doesn't if transparent is off (proxy still enabled).

I noticed by examining postfix config a single difference:
transparent on: mynetworks = 127.0.0.0/8,172.16.1.0/24,172.16.0.0/24
transparent off: mynetworks = 127.0.0.0/8

In transparent mode postfix is accepting mail for relaying also from green and orange.

Please make it also work in non transparent mode.
Additional InformationEnable transparent
postconf > postconf.tm
Disable transparent and have a look at logs reporting relaying not allowed
postconf > postconf.ntm
diff postconf.ntm postconf.tm
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000969)
peter-endian (administrator)
2008-03-26 22:20

now adds every known ip of local zones, regardless if it is transparent or not

- Issue History
Date Modified Username Field Change
2008-02-20 19:27 jzdrzalek New Issue
2008-03-26 22:20 peter-endian Status new => resolved
2008-03-26 22:20 peter-endian Fixed in Version => 2.2-rc1
2008-03-26 22:20 peter-endian Resolution open => fixed
2008-03-26 22:20 peter-endian Assigned To => peter-endian
2008-03-26 22:20 peter-endian Note Added: 0000969
2008-04-22 09:23 ra-endian Fixed in Version 2.2-rc1 => 2.2-beta4
2008-04-23 17:41 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker